Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.captcha
Class CaptchaValidationProcessingFilter

    java.lang.Object
      org.acegisecurity.captcha.CaptchaValidationProcessingFilter

All Implemented Interfaces:
  javax.servlet.Filter, InitializingBean

    public class CaptchaValidationProcessingFilter

extends Object
implements InitializingBean, javax.servlet.Filter

Filter for web integration of the `CaptchaServiceProxy`.
It basically intercept calls containing the specific validation parameter, use the `CaptchaServiceProxy` to validate the request, and update the `CaptchaSecurityContext` if the request passed the validation.
This Filter should be placed after the ContextIntegration filter and before the `CaptchaChannelProcessorTemplate` filter in the filter stack in order to update the `CaptchaSecurityContext` before the humanity verification routine occurs.
This filter should only be used in conjunction with the `CaptchaSecurityContext`

Version:
  $Id: CaptchaValidationProcessingFilter.java,v 1.4 2005/11/17 00:55:49 benalex Exp $
Author:
  marc antoine Garrigue

Field Summary
`protected static org.apache.commons.logging.Log` | `logger`

Constructor Summary
`CaptchaValidationProcessingFilter()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `destroy()` Does nothing.
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`CaptchaServiceProxy` | `getCaptchaService()`
`String` | `getCaptchaValidationParameter()`
`void` | `init(javax.servlet.FilterConfig filterConfig)` Does nothing.
`void` | `setCaptchaService(CaptchaServiceProxy captchaService)`
`void` | `setCaptchaValidationParameter(String captchaValidationParameter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.apache.commons.logging.Log logger

Constructor Detail

### CaptchaValidationProcessingFilter

    public CaptchaValidationProcessingFilter()

Method Detail

### setCaptchaService

    public void setCaptchaService(CaptchaServiceProxy captchaService)

### getCaptchaService

    public CaptchaServiceProxy getCaptchaService()

### setCaptchaValidationParameter

    public void setCaptchaValidationParameter(String captchaValidationParameter)

### getCaptchaValidationParameter

    public String getCaptchaValidationParameter()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### destroy

    public void destroy()

  Does nothing. We use IoC container lifecycle services instead.

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Does nothing. We use IoC container lifecycle services instead.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Parameters:
    `filterConfig` - ignored
  Throws:
    `javax.servlet.ServletException` - ignored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.